<bugID>1155523<Summary>Implement rough first-pass at Pocket toolbar button UI</Summary><Description>Firefox should ship with a Save To Pocket toolbar button by default, very similar to the existing Pocket SocialAPI button.

More detailed mocks to come shortly, but the current plan is roughly:

When clicked, the button with offer either:

* A signin panel (to create a Firefox Account if the user doesn't have one, or to use it to sign in to Pocket, or less prominently to use an existing Pocket website login. Clicking any of these actions will open a new tab with further steps (ie, signup/signin won't happen in the panel).

* A panel showing that the current web page was saved to Pocket, the open to open the item on Pocket, and the option to view all your Pocket items. This is shown when the user has already logged in to Pocket with a Firefox Account, or if they're already using it with a website login (TBD via the browser inspecting cookies.)

Content for both panels will be in-content. We'd like to have a way to do some early A/B testing, so we should think about how to do is. (Either by DOM manipulation to tweak content, or an iframe to load chrome:// variations. Sending the A/B flavor used as part of the signin/signup/save HTTP request should be sufficient for data analysis).

For version 1, there will be no "local" list of items saved to Pocket. But we will need to think about what to do when the user saves an item to Pocket, but the web service is slow/down. A temporary in-memory retry-later queue was suggested.

Lots more details to come!</Description></bugID>